/***************************************************/
/************************** ملف ستايل *************************/

.post-title a:hover {color:var(--main-nav-wrapper);}


/************************ scrollbar ***************************/
::-webkit-scrollbar        {height:12px; width:15px; background: #fff;}
::-webkit-scrollbar-button {background: #999; border:3px solid #fff; border-radius:7px; -webkit-border-radius:7px; /*-webkit-border-radius:30%;*/}
::-webkit-scrollbar-thumb  {/*background-color:var(--block-2);*/ border:3px solid #fff; /*background: #999;*/background:linear-gradient(13deg, #777 14%, #999 64%); border-radius:10px; -webkit-border-radius:10px; /*-webkit-border-radius:30%;*/  /*-webkit-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.75);*/}
::-webkit-scrollbar-track {background: #ff0000;}
::-webkit-scrollbar-track-piece {background: #fff;}
::-webkit-scrollbar-corner {background: #ff0000;}
::-webkit-resizer {background: #ff0000;}

/*title التبديل بين أكثر من لون /title*/
/*1) متغيرات عامة تعتمد على data-theme */
/*افتراضي (fallback) */
/*2) موضوعات (Themes) عبر data-theme على عنصر html */
/*3) تنسيق عام */
/*ألوان عرضية لأزرار الاختيار */
:root
{--bg: #0b1220; --fg: #e9eef8; --primary: #c43d3d; --primary2: #9e2a2a; --card: #111827; --muted: #9aa3b2;}
html[data-theme="red"]    {--bg: #0b1220; --fg: #e9eef8; --primary: #c43d3d; --card: #111827; --muted: #9aa3b2;} /*أحمر */
html[data-theme="green"]  {--bg: #0f1a14; --fg: #ecf8f0; --primary: #34956e; --card: #102017; --muted: #98b2a1;} /*أخضر */
html[data-theme="blue"]   {--bg: #160f1a; --fg: #f3e9f8; --primary: #1B4586; --card: #1b1020; --muted: #b39ec2;} /*أزرق */
html[data-theme="orange"] {--bg: #1b130b; --fg: #fff3e7;   --primary: #a62a93; --card: #21170d; --muted: #c6b6a1;} /*بنفسجي */

#element-id
html[data-theme="red"]    {--block-2: #c43d3d;}
html[data-theme="green"]  {--block-2: #34956e;}
html[data-theme="blue"]   {--block-2: #1b4586;}
html[data-theme="orange"] {--block-2: #a62a93;}
:root
{--block-2: #c43d3d;}
#block-2 {background-color:var(--block-2);border: 1px solid #EDEDED;}
#block-2 .p1 a{color:#ffff00;}
#block-2 .p2 a{color:#ffffff;}
:root
{--main-nav-wrapper: #9e2a2a;}
.menu-item {/*background-color:var(--main-nav-wrapper);*/}
.main-nav-wrapper3 {background-color:var(--main-nav-wrapper);}
.menu-item a:hover {color:#d9e0e8 !important;}
.side-aside-open .side-aside {background-color:var(--main-nav-wrapper);}

html[data-theme="red"]    {--main-nav-wrapper: #9e2a2a;}
html[data-theme="green"]  {--main-nav-wrapper: #206c4d;}
html[data-theme="blue"]   {--main-nav-wrapper: #1C2F5D;}
html[data-theme="orange"] {--main-nav-wrapper: #8f257f;}
.main-nav-wrapper .main-menu-wrapper {background-color:var(--main-nav-wrapper);}
.main-menu ul li:hover>.menu-sub-content,.main-menu ul li[aria-expanded="true"]>ul,.main-menu ul li[aria-expanded="true"]>.mega-menu-block {background-color:var(--main-nav-wrapper);}
#search button {background-color:var(--main-nav-wrapper);}
#search button:hover {background-color:var(--main-nav-wrapper);}
footer.site-footer {background-color:var(--main-nav-wrapper);}



/************************ button.color ***************************/
.container .toolbar button {border-radius:50%;top:20px;float:right;width:30px;height:30px;z-index:101;}
button.color-container0000003 {border:2px solid #fff;}
.color-container0000003.mag-box-container .block-custom_html-4 .widget-title, .block-custom_html-5 .widget-title {background-color: var(--primary2);}
.toolbar {position: absolute;top: 20px;/*background-color:#fff;*//*width:125px;*/height: 30px;right: 400px;/*z-index:101;*/}
@media (max-width: 768px) {
.toolbar {position: relative;top: 0px;right:0;/* line-height: 50px; */height: 35px;background-color:var(--main-nav-wrapper);}
.toolbar button {position: relative;/* top: 0px; *//* right:0; *//* line-height: 50px; *//* height: 50px; */}
}
button.color-container0000003 {border:2px solid #fff;}
button.color-container0000003.red          {background:linear-gradient(135deg, #9e2a2a, #d55b5b); box-shadow: 0px 0px 10px 3px #cbfdc6; z-index:102;}
button.color-container0000003.red:hover    {background:linear-gradient(135deg, #d93939, #d93939);}
button.color-container0000003.green        {background:linear-gradient(135deg, #206c4d, #1ba66d); right:435px; box-shadow: 0px 0px 10px 3px #cbfdc6; z-index:102;}
button.color-container0000003.green:hover  {background:linear-gradient(135deg, #17ae71, #17ae71);}
button.color-container0000003.blue         {background:linear-gradient(135deg, #1B4586, #5d86c8); right:470px; box-shadow: 0px 0px 10px 3px #cbfdc6; z-index:102;}
button.color-container0000003.blue:hover   {background:linear-gradient(135deg, #0057df, #0057df);}

button.color-container0000003.orange       {background:linear-gradient(135deg, #8f257f, #af9bac); right:505px; box-shadow: 0px 0px 10px 3px #cbfdc6; z-index:102;}
button.color-container0000003.orange:hover {background:linear-gradient(135deg, #e51bc7, #e51bc7);}

button.color-container0000003.change-skin_darkmode       {background-color: #000000; right:540px; box-shadow: 0px 0px 10px 3px #cbfdc6; z-index:102;}
button.color-container0000003.change-skin_darkmode:hover {background-color: #ffffff; color: #bd1111;}
.tie-icon-moon,.tie-icon-sun {border:2px solid #fff; background-color: #ffffff;color: #000 !important; font-family: tiefonticon !important;border-radius: 50%;width:30px;height:30px;}
.tie-icon-moon,.tie-icon-sun:hover {color: #000 !important;}
@media (max-width: 768px) {
.tie-icon-moon,.tie-icon-sun {color: #000000 !important;width:20px;height:20px;}
.change-skin {float: right;line-height: 30px;top: -2px !important;right: -2px;position: relative;z-index: 10;}
}
.change-skin {float: right; line-height: 30px; top: -3px; right: -2px; position: relative; z-index: 10;}
/************************ darkmode ***************************/
.theme-switch-darkmode {position: absolute; top:20px; right:300px;}
.tie-icon-moon:before {content: "\f10d"; position:relative; right: 7px;}
.tie-icon-sun:before  {content: "\f113";position:relative;right: 0px;top: -3px;}

.tie-icon-sun:before  {content: "\f113";position:relative;right: 0px;top: -4px;color: #ffffff;}
.dark-skin .tie-icon-sun:before {content:"\f10d";}






@media (max-width:900px) {
.theme-switch-darkmode {top:10px; right:250px;}
.tie-icon-sun:before  {content: "\f113";position:relative;right: 0px;top: -8px;}

}

.dark-skin .children li.cat-item {background-color: #000000;}

@media (max-width:900px) {
.container .toolbar button {position: absolute;top: 8px;/* float: right; */width: 20px;height: 20px;}
button.color-container0000003.red {right:10px;}
button.color-container0000003.green {right:35px;}
button.color-container0000003.blue {right:60px;}
button.color-container0000003.orange {right:85px;}
button.color-container0000003.change-skin_darkmode {right: 109px;}
}




.color-container0000003 [aria-pressed="true"] {border-color: var(--fg);}
.color-container0000003 .red [data-theme="red"] {background: linear-gradient(135deg, #9d2a2a, #c43d3d);}
.color-container0000003 .green [data-theme="green"] {background: linear-gradient(135deg, #15803d, #34956e);}
.color-container0000003 .blue [data-theme="blue"] {background: linear-gradient(135deg, #1d4ed8, #FFEB3B);}
.color-container0000003 .orange [data-theme="orange"] {background: linear-gradient(135deg, #8c287d, #8c287d);}

.container0000003 {background: var(--primary);}
#main-nav .container0000003 {background-color:var(--main-nav-wrapper);}
.topics_for_discussion .p1 a {color: var(--primary);}

a {color:#000; text-decoration:none; transition:0.15s;}
a:hover {color: var(--primary2); cursor:pointer;}
h2 {color:var(--main-nav-wrapper);}
h3 {color: var(--primary2);}
.entry ul li,
.entry ol ul li,
.comment-content ul li,
.comment-content ol ul li {background: var(--primary);border-radius: 8px;}


/************************** ملف ستايل *************************/
/***************************************************/
/***************************************************/